# GNU makefile generated by IDE2, based on protocol_ddns.idp

# ========================================
# Default configuration if not specified
# ========================================

ifeq ("$(CFG)", "")
CFG = Debug
$(warning No configuration specified. Defaulting to Debug.)
endif

ifeq ("$(RECURSE)", "")
RECURSE = 1
$(warning No recurse specified. Defaulting to 1.)
endif

# =====================================================
# User define symbols
# =====================================================

WSP_DIR = C:/ADMtek2/netmall2

# =====================================================
#   Architecture selection
# =====================================================

ARCH = mips4k
ENDIAN = little
RTOS = nucleus
CROSS_TOOL = mipsisa32-elf
ARCH_DEF = -DMIPS4K=1 -DBYTE_ORDER=LITTLE_ENDIAN
ARCH_CFLAG = -mips32 -msoft-float -funsigned-char -EL -DINET -D$(RTOS)
ARCH_LFLAG = -EL

# ===================
# Tools definition
# ===================

CC = $(CROSS_TOOL)-gcc
AR = $(CROSS_TOOL)-ar

SHELL = bash
MKDIR = if [ ! -d target_dir ]; then mkdir -p target_dir; fi

# =====================================================
# Netmall dir definition
# =====================================================

NETMALL_2 = C:/ADMtek2/netmall2

# =====================================================
# SDRAM symbols definition
# =====================================================

IMG_BASED = 
RAMDISK_START = 

# ===============================================================
# Make sure .exclude file does not exist if RECURSE is 1 and
# this is the top-level makefile
# ===============================================================

# The .exclude file records targets which have been remade during a recursive
# make session. This is to avoid duplicate remake of a target if it appears
# more than one time in the dependency chain.
#

EXCLFILE = /.exclude

ifeq ($(RECURSE), 1)

ifeq ($(MAKELEVEL), 0)
DELEXCLFILE = rm -f $(EXCLFILE)
$(shell $(DELEXCLFILE))		# ok to write here since rm -f has no output
endif

endif

# =============================================
# Project settings and rules - MIPS4K Debug
# =============================================

ifeq ($(CFG), MIPS4K_Debug)

OUTDIR = ../../../lib/v.02/$(ARCH)/$(ENDIAN)/debug
INTDIR = ../../../build/$(ARCH)/$(ENDIAN)/protocol/ddns/debug
DEPDIR = depend/MIPS4K_Debug

OBJS = \
	$(INTDIR)/daemon.o \
	$(INTDIR)/ddns_account_update.o \
	$(INTDIR)/ddns_common.o \
	$(INTDIR)/ddns_dtdns.o \
	$(INTDIR)/ddns_dyndns.o \
	$(INTDIR)/ddns_noip.o

DEPS = \
	$(DEPDIR)/daemon.d \
	$(DEPDIR)/ddns_account_update.d \
	$(DEPDIR)/ddns_common.d \
	$(DEPDIR)/ddns_dtdns.d \
	$(DEPDIR)/ddns_dyndns.d \
	$(DEPDIR)/ddns_noip.d

LIB = $(OUTDIR)/libprotocol_ddns.a

CFLAGS = $(ARCH_CFLAG) -c $(ARCH_DEF) -nostdinc -Wcomment -g -I$(NETMALL_2)/h -I$(NETMALL_2)/h/sys -I$(NETMALL_2)/h/uap -I$(NETMALL_2)/h/kernel -I$(NETMALL_2)/h/driver -I$(NETMALL_2)/h/netkeeper -I$(NETMALL_2)/bsdsys -I$(NETMALL_2)/h/apcore/upnp -I$(NETMALL_2)/h/apcore/cgi -I$(NETMALL_2)/h/apcore/ams -I$(NETMALL_2)/h/apcore/apcore -I$(NETMALL_2)/kernel/nucleus/kernel -I$(NETMALL_2)/uap/uap_sup -I$(NETMALL_2)/uap/access_host_cfg -I$(NETMALL_2)/uap/bpa_login_cfg -I$(NETMALL_2)/uap/dhcps_cfg -I$(NETMALL_2)/uap/dhcpc_cfg -I$(NETMALL_2)/uap/dns_relay_cfg -I$(NETMALL_2)/uap/download_cfg -I$(NETMALL_2)/uap/ethftr_cfg -I$(NETMALL_2)/uap/firewall_cfg -I$(NETMALL_2)/uap/http_cfg -I$(NETMALL_2)/uap/ip_cfg -I$(NETMALL_2)/uap/nat_cfg -I$(NETMALL_2)/uap/pppoe_cfg -I$(NETMALL_2)/uap/pptp_cfg -I$(NETMALL_2)/uap/rip_cfg -I$(NETMALL_2)/uap/route_cfg -I$(NETMALL_2)/uap/sntpc_cfg -I$(NETMALL_2)/uap/telnet_cfg -I$(NETMALL_2)/uap/tftpc_cfg -I$(NETMALL_2)/uap/tftps_cfg -I$(NETMALL_2)/uap/time_zone_cfg -I$(NETMALL_2)/uap/user_cfg -I$(NETMALL_2)/h/machine -I../h

ARFLAGS = -crus $(LIB)

ALLMSG = ------------------------ Configuration: protocol_ddns - MIPS4K Debug ------------------------

CLEANMSG = Deleting intermediate and output files for project \'protocol_ddns - MIPS4K Debug\'...

ALL : ALL-msg $(LIB)

CLEAN : CLEAN-msg
	@rm -f $(OBJS)
	@rm -f $(LIB)
	@rm -f $(DEPS)

endif

# =================================================
# Make sure all output directories are created
# =================================================

$(shell $(subst target_dir,$(INTDIR),$(MKDIR)))
$(shell $(subst target_dir,$(OUTDIR),$(MKDIR)))
$(shell $(subst target_dir,$(DEPDIR),$(MKDIR)))

# ==============
# Other rules
# ==============

ALL-msg :
	@echo $(ALLMSG)

CLEAN-msg :
	@echo $(CLEANMSG)

$(LIB) : $(OBJS)
	@echo Creating archive $@...
	@$(AR) $(ARFLAGS) $(OBJS)

ifeq ($(RECURSE), 1)
DEL-exclfile :
	@$(DELEXCLFILE)
endif

# ===============
# Pattern rules
# ===============

$(INTDIR)/%.o : ./%.c
	@echo $<
	@$(CC) $(CFLAGS) $< -o $@

$(INTDIR)/%.o : ./%.cc
	@echo $<
	@$(CC) $(CFLAGS) $< -o $@

$(INTDIR)/%.o : ./%.C
	@echo $<
	@$(CC) $(CFLAGS) $< -o $@

$(DEPDIR)/%.d : ./%.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(CFLAGS)) $< \
            | sed '\''s|$*\.o|$(INTDIR)/& $@|g'\'' > $@'

$(DEPDIR)/%.d : ./%.cc
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(CFLAGS)) $< \
            | sed '\''s|$*\.o|$(INTDIR)/& $@|g'\'' > $@'

$(DEPDIR)/%.d : ./%.C
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(CFLAGS)) $< \
            | sed '\''s|$*\.o|$(INTDIR)/& $@|g'\'' > $@'

# ===========================
# File-specific settings
# ===========================

# daemon.c
#
ifeq ($(CFG), MIPS4K_Debug)

FILE_CFLAGS = $(CFLAGS)  

$(INTDIR)/daemon.o : ../daemon.c
	@echo $<
	@$(CC) $(FILE_CFLAGS) $< -o $@

$(DEPDIR)/daemon.d : ../daemon.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(FILE_CFLAGS)) $< \
            | sed '\''s|daemon\.o|$(INTDIR)/& $@|g'\'' > $@'

endif

# ddns_account_update.c
#
ifeq ($(CFG), MIPS4K_Debug)

FILE_CFLAGS = $(CFLAGS)  

$(INTDIR)/ddns_account_update.o : ../ddns_account_update.c
	@echo $<
	@$(CC) $(FILE_CFLAGS) $< -o $@

$(DEPDIR)/ddns_account_update.d : ../ddns_account_update.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(FILE_CFLAGS)) $< \
            | sed '\''s|ddns_account_update\.o|$(INTDIR)/& $@|g'\'' > $@'

endif

# ddns_common.c
#
ifeq ($(CFG), MIPS4K_Debug)

FILE_CFLAGS = $(CFLAGS)  

$(INTDIR)/ddns_common.o : ../ddns_common.c
	@echo $<
	@$(CC) $(FILE_CFLAGS) $< -o $@

$(DEPDIR)/ddns_common.d : ../ddns_common.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(FILE_CFLAGS)) $< \
            | sed '\''s|ddns_common\.o|$(INTDIR)/& $@|g'\'' > $@'

endif

# ddns_dtdns.c
#
ifeq ($(CFG), MIPS4K_Debug)

FILE_CFLAGS = $(CFLAGS)  

$(INTDIR)/ddns_dtdns.o : ../ddns_dtdns.c
	@echo $<
	@$(CC) $(FILE_CFLAGS) $< -o $@

$(DEPDIR)/ddns_dtdns.d : ../ddns_dtdns.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(FILE_CFLAGS)) $< \
            | sed '\''s|ddns_dtdns\.o|$(INTDIR)/& $@|g'\'' > $@'

endif

# ddns_dyndns.c
#
ifeq ($(CFG), MIPS4K_Debug)

FILE_CFLAGS = $(CFLAGS)  

$(INTDIR)/ddns_dyndns.o : ../ddns_dyndns.c
	@echo $<
	@$(CC) $(FILE_CFLAGS) $< -o $@

$(DEPDIR)/ddns_dyndns.d : ../ddns_dyndns.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(FILE_CFLAGS)) $< \
            | sed '\''s|ddns_dyndns\.o|$(INTDIR)/& $@|g'\'' > $@'

endif

# ddns_noip.c
#
ifeq ($(CFG), MIPS4K_Debug)

FILE_CFLAGS = $(CFLAGS)  

$(INTDIR)/ddns_noip.o : ../ddns_noip.c
	@echo $<
	@$(CC) $(FILE_CFLAGS) $< -o $@

$(DEPDIR)/ddns_noip.d : ../ddns_noip.c
	@echo protocol_ddns: $@
	@$(SHELL) -ec '$(CC) -M $(filter-out -c -W%,$(FILE_CFLAGS)) $< \
            | sed '\''s|ddns_noip\.o|$(INTDIR)/& $@|g'\'' > $@'

endif

# =====================
# File dependencies
# =====================

ifneq ($(DEPS), )
-include $(DEPS)
endif

