/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : Software librian
;    Creator : 
;    File    : 
;    Abstract: 
;
;Modification History:
;       By              Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <ddns_service.h>
#include <ddns.h>
//*************************
// Definitions
//*************************
#define DDNS_PRINTF printf
#define MAX_LENGTH 255
//*************************
// Variable
//*************************

SERVICE_T ddns_server[DDNS_SRV_MAX] =
{
    {DYNDNS_init, DYNDNS_update_entry}, // DDNS_SRV_DYNDNS
    {DTDNS_init, DTDNS_update_entry},   // DDNS_SRV_DTDNS
    {NOIP_init, NOIP_update_entry},     // DDNS_SRV_NOIP
};


/*--------------------------------------------------------------*/
/* ROUTINE NAME - ddns_error_dealer							    */
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/
void ddns_error_dealer(int state, DDNS_USER_T *pUser)
{
	switch(state)
	{
		case UPDATERES_OK:		
			if(pUser->status == UPDATERES_RETRY)
			{
			    untimeout((FUNCPTR)ddns_expire, pUser);
			    pUser->info.counter = 0;
			}
			pUser->status = UPDATERES_OK;
			break;
			
		case UPDATERES_RETRY:
		case UPDATEERS_BADAGENT:
		case UPDATERES_ERROR:
		    pUser->status = UPDATERES_RETRY;
		    pUser->info.counter++;
		    
		    if(pUser->info.counter >= 2)
		    {
		    	/* printf("time changed to 5 minutes\n"); */
		    	timeout(ddns_expire, pUser, 5*60*100);
		    }	
		    else
	        	timeout(ddns_expire, pUser, 300);
			break;
			
		case UPDATEERS_NOHOST:
		case UPDATEERS_NOYOURS:
		case UPDATEERS_BADAUTH:	
		case UPDATERES_ACCOUNT_ERROR:	
			pUser->status = UPDATERES_ACCOUNT_ERROR;
			break;
			
		case UPDATEERS_ABUSE:
			pUser->status = UPDATEERS_ABUSE;
			break;
			
		case UPDATEERS_PRIVIIP:
			pUser->status = UPDATEERS_PRIVIIP;
			break;
			
		default:
			pUser->status = UPDATERES_RETRY;
	}				
}


/*----------------------------------------------------------------------
* ROUTINE NAME - ddns_convert_ip
*-----------------------------------------------------------------------
* DESCRIPTION : 
*
* INPUT 	  : 
* OUPUT 	  : 
* RETURN 	  : 
*----------------------------------------------------------------------*/
void ddns_convert_ip (UINT32 val, char *buf)
{
   sprintf (buf, "%lu.%lu.%lu.%lu",
            (val >> 24) & 0xff,
            (val >> 16) & 0xff,
            (val >> 8)  & 0xff,
   			val & 0xff
		    );
		    		    
}

/*----------------------------------------------------------------------
* ROUTINE NAME - ddns_account_update
*-----------------------------------------------------------------------
* DESCRIPTION : 
* INPUT		  : none
* OUPUT		  : none
* RETURN	  : success or fail
*----------------------------------------------------------------------*/
int ddns_account_update (DDNS_USER_T *pUser)
{

    SERVICE_T *pService;
	char ip_addr[16];
	int return_state;
	
	pService = &ddns_server[pUser->info.server];
	
	if(pUser->ipAddr != NULL)
	{
	    ddns_convert_ip (pUser->ipAddr, ip_addr);
	} 
	
	if(pService->init != NULL)
	{
		pService->init(pUser->info.ddns_username, pUser->info.ddns_password, 
		               pUser->info.ddns_hostname, ip_addr);
	}
	
	/* update dns */	
	if(pService->update_entry != NULL)
	{
		return_state = pService->update_entry();
		
		if(return_state != UPDATERES_OK)	
		{
			printf("updating is error\n");	
		}	
		else
		{
			printf("updating is OK\n");
		}
		
		ddns_error_dealer(return_state, pUser);	
	}				
	
}

