/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : Software librian
;    Creator : 
;    File    : 
;    Abstract: 
;
;Modification History:
;       By              Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/

#include <stdio.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <host_tbl.h>
#include <ddns_service.h>
#include <stdarg.h>
#include <time.h>
#include <ddns_common.h>
//#include <apps_profile.h>
//#include <pppoe_cfg.h>
//#include <ip_bootopt.h>
#include <dns_relay_cfg.h>

#define DNS_PROXY_BUF_SIZE          256
#define DNS_SERVICE                 53

int client_sockfd = 0;


/*--------------------------------------------------------------*/
/* ROUTINE NAME - query_name							        */
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/

static UINT8 query_name(char *buf)
{
	unsigned char counter = 0;
	char *buftemp = buf;
	if(buf == NULL || *buf == 0)
		return 0;

	while(((*buftemp) != '.') && ((*buftemp) != 0))
	{
		counter++;		
		buftemp++;
	}		

	return counter;
}


/*--------------------------------------------------------------*/
/* ROUTINE NAME - convert_dns_name							    */
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/
static void convert_dns_name(char *name,char *outbuf)
{
	char *name_ptr = name;
	char buf[50];
	unsigned char counter;
	char *buf_ptr = buf;
	
	if(name == NULL || outbuf == NULL)
		return;
		
	strcpy(&buf[1],name);
	
	*buf = query_name(name);
	
	buf_ptr += (*buf + 1);
	
	while(*buf_ptr)
	{	
		*buf_ptr = query_name(buf_ptr+1);
		buf_ptr += (*buf_ptr + 1);		
	}
	strcpy(outbuf,buf);	
}


/*--------------------------------------------------------------*/
/* ROUTINE NAME - gethostbyname						        	*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/
static UINT32 gethostbyname(char *host)
{
	struct sockaddr_in address;
	int outsocket = -1;	
	int bread = -1;
	fd_set writefds;  	  	
  	struct timeval tv;
  	int ret;             	
  	char buf[DNS_PROXY_BUF_SIZE];		
	UINT32 ipaddress;		
	tv.tv_sec = 1;
	tv.tv_usec = 0;		
	
	if((outsocket = socket(AF_INET, SOCK_DGRAM, 0)) == -1)
  	{
  		printf("outsocket create error\n");
    	return 0;
  	}  	  	
  	
	bzero((char *)&address,sizeof(struct sockaddr_in));
	bzero(buf,DNS_PROXY_BUF_SIZE);
  	address.sin_family 		= AF_INET;
  	address.sin_port 		= htons(DNS_SERVICE);
  	
  	DnsRelayCfg_RuntimeDnsIp(&address.sin_addr.s_addr, 0);    	
  	
  	address.sin_addr.s_addr = ntohl(address.sin_addr.s_addr);  	
  	if(address.sin_addr.s_addr == 0)
  		address.sin_addr.s_addr = inet_addr("168.95.1.1");  	
  	
  	buf[0] = 0;
  	buf[1] = 0x64;
  	buf[2] = 1;
  	buf[3] = 0;
  	buf[4] = 0;
  	buf[5] = 1;
  	buf[6] = 0;
  	buf[7] = 0;
  	buf[8] = 0;
  	buf[9] = 0;
  	buf[10] = 0;
  	buf[11] = 0;  	
  	convert_dns_name(host,&buf[12]);  	
  	buf[13+strlen(host)] = 0;  	
  	buf[13+strlen(host)+1] = 0;
  	buf[13+strlen(host)+2] = 1;
  	buf[13+strlen(host)+3] = 0;
  	buf[13+strlen(host)+4] = 1;  	  	
  
  	/* check sendto status */
	if(sendto(outsocket, (caddr_t)buf, DNS_PROXY_BUF_SIZE, 0, (struct sockaddr *)&address, sizeof(struct sockaddr_in))
	   != DNS_PROXY_BUF_SIZE)
	{
		close (outsocket);
        return 0;
	}			
		
	FD_ZERO(&writefds);
  	FD_SET(outsocket, &writefds);    
  	
	ret = select(outsocket+1, &writefds,NULL, NULL, &tv);	

	if(ret == -1 || ret == 0)
  	{  		
    	close(outsocket);
    	return 0;
  	}
  	else
  	{  		
    	/* if we woke up on client_sockfd do the data passing */
    	if(FD_ISSET(outsocket, &writefds))
    	{    		
      		if((bread=recv(outsocket, buf, DNS_PROXY_BUF_SIZE, 0)) == -1)
      		{
      			close(outsocket);
      			return 0;	
      		}         	      		
      		
      		if(buf[strlen(host)+29] != 4)//adddres len != 4 /* first is not the right answer */
      		{												/* address len */  
      			ipaddress = (UINT32 )buf[strlen(host)+33+ buf[strlen(host)+29] + 12]<<24;	
      			ipaddress |= ((UINT32 )buf[strlen(host)+32+ buf[strlen(host)+29] + 12]<<16);	
      			ipaddress |= ((UINT32 )buf[strlen(host)+31+ buf[strlen(host)+29] + 12]<<8);	
      			ipaddress |= ((UINT32 )buf[strlen(host)+30+ buf[strlen(host)+29] + 12]);	
      		}
      		else
      		{
      			ipaddress = (UINT32 )buf[strlen(host)+33]<<24;	
      			ipaddress |= ((UINT32 )buf[strlen(host)+32]<<16);	
      			ipaddress |= ((UINT32 )buf[strlen(host)+31]<<8);	
      			ipaddress |= ((UINT32 )buf[strlen(host)+30]);	
      		}      		
      		close(outsocket);
      		return ipaddress;
      		
    	}
    	else
    	{
     	 	printf("error: case not handled.");
     	 	close(outsocket);
     	 	return 0;
    	}    	
	}
  close(outsocket);
  return 0;
}


/*--------------------------------------------------------------*/
/* ROUTINE NAME - Do_Connect						        	*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/
int Do_Connect(int *sock, char *host, char *port)
{
  	struct sockaddr_in address;  	
  	struct hostent * he;
  					  	
  	// set up the socket
  	if((*sock = socket(AF_INET, SOCK_STREAM, 0)) == -1)
  	{
    	return ERROR;
  	}
  	bzero((char *)&address,sizeof(struct sockaddr_in));
  	address.sin_family = AF_INET;
  	
	// get the host address
	address.sin_addr.s_addr = gethostbyname(host);
	if(address.sin_addr.s_addr == 0)
  	{  		
  		
  		printf("GetHostByName is error\n");
    	close(*sock);
    	return ERROR;
  	}
	// get the host port
    address.sin_port = htons(atoi(port));
    address.sin_len = 16;	
  	// connect the socket  	
  	if((connect(*sock, (struct sockaddr *)&address, sizeof(address))) == -1)
  	{		
    	close(*sock);
    	return ERROR;
  	}     	
  
  	return OK;
}


/*--------------------------------------------------------------*/
/* ROUTINE NAME - Output										*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: output buffer											*/
/* Description : send  output data to socket 					*/
/*--------------------------------------------------------------*/
void Output(char *buf)
{
  	fd_set writefds;
  	int max_fd;
  	struct timeval tv;
  	int ret;
  	
#ifdef DDNS_CLIENT_DEUBG  	
	if(Debug)
	{
		show_message("I say :");
  		show_message(buf);
  		show_message("\n");
  	}
#endif

    tv.tv_sec = 0;
    tv.tv_usec = 20000;          /* timed out every 20 ms */
  	// set up our fdset and timeout
  	FD_ZERO(&writefds);
  	FD_SET(client_sockfd, &writefds);
  	max_fd = client_sockfd;
	ret = select(max_fd + 1, NULL,&writefds,  NULL, &tv);  	

  	if(ret == -1)
  	{
  		//ML021 -start
  		//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"select: %s\n", "ERROR");			  	
		printf("select: %s\n", "ERROR");	    
    	//ML021 -end  
  		
  	}
  	else if(ret == 0)
  	{
  		//ML021 -start
  		//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"timeout in output");			  	
		printf("timeout in output\n");
    	//ML021 -end  
	    
  	}
  	else
  	{
	    /* if we woke up on client_sockfd do the data passing */
	    if(FD_ISSET(client_sockfd, &writefds))
	    {
    	  	if(send(client_sockfd, buf, strlen(buf), 0) == -1)
      		{
      			//ML021 -start
  				//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"error send()ing request: %s", "ERROR");			  	
				printf("error send()ing request: %s\n", "ERROR");
    			//ML021 -end  
		        
      		}
    	}
    	else
    	{
      		printf("error: case not handled.");
    	}
  	}
}


/*--------------------------------------------------------------*/
/* ROUTINE NAME - Read_Input									*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/* Description : data input from socket	    					*/
/*--------------------------------------------------------------*/
int Read_Input(char *buf, int len)
{
  fd_set readfds;
  int max_fd;
  struct timeval tv;
  int ret;
  int bread = -1;

  
   tv.tv_sec = 0;
   tv.tv_usec = 20000;          /* timed out every 20 ms */  
  // set up our fdset and timeout
  FD_ZERO(&readfds);
  FD_SET(client_sockfd, &readfds);
  max_fd = client_sockfd;

  ret = select(max_fd + 1, &readfds, NULL, NULL, &tv);  
  if(ret == -1)
  {
  	//ML021 -start
  	//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"select: %s", "ERROR");			  	
    printf("select: %s\n", "ERROR");
    //ML021 -end
  }
  else if(ret == 0)
  {
  	//ML021 -start
  	//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"timeout in  input");			  	
	printf("timeout in  input \n");
    //ML021 -end    
  }
  else
  {
    /* if we woke up on client_sockfd do the data passing */
    if(FD_ISSET(client_sockfd, &readfds))
    {
      	if((bread=recv(client_sockfd, buf, len, 0)) == -1)
      	{
      		//ML021 -start
  			//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"error recv()ing reply: %s", "ERROR");			  	
			printf("error recv()ing reply: %s\n", "ERROR");
    		//ML021 -end    
        	
      	}
    }
    else
    {
      	printf("error: case not handled.");
    }
  }

  return(bread);
}


/*--------------------------------------------------------------*/
/* ROUTINE NAME - base64Encode									*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/
static char table64[]=
  "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
  
void base64Encode(char *intext, char *output)
{
  unsigned char ibuf[3];
  unsigned char obuf[4];
  int i;
  int inputparts;

  while(*intext) {
    for (i = inputparts = 0; i < 3; i++) { 
      if(*intext) {
        inputparts++;
        ibuf[i] = *intext;
        intext++;
      }
      else
        ibuf[i] = 0;
    }

    obuf [0] = (ibuf [0] & 0xFC) >> 2;
    obuf [1] = ((ibuf [0] & 0x03) << 4) | ((ibuf [1] & 0xF0) >> 4);
    obuf [2] = ((ibuf [1] & 0x0F) << 2) | ((ibuf [2] & 0xC0) >> 6);
    obuf [3] = ibuf [2] & 0x3F;

    switch(inputparts) {
      case 1: /* only one byte read */
        sprintf(output, "%c%c==", 
            table64[obuf[0]],
            table64[obuf[1]]);
        break;
      case 2: /* two bytes read */
        sprintf(output, "%c%c%c=", 
            table64[obuf[0]],
            table64[obuf[1]],
            table64[obuf[2]]);
        break;
      default:
        sprintf(output, "%c%c%c%c", 
            table64[obuf[0]],
            table64[obuf[1]],
            table64[obuf[2]],
            table64[obuf[3]] );
        break;
    }
    output += 4;
  }
  *output=0;
}




