/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK.
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : Common plateform
;    Creator : 
;    File    : ddns_dtdns.c
;    Abstract: 
;
;
;Modification History:
;       By              Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/

#include <netmall.h>
#include <stdio.h>
#include <time.h>
#include <string.h>
#include <ddns_service.h>
#include <ddns_common.h>


#define DTDNS_DEFAULT_SERVER "www.dtdns.com"
#define DTDNS_DEFAULT_PORT "80"
#define DTDNS_REQUEST "/api/autodns.cfm?"
#define DTDNS_STAT_REQUEST ""
#define DTDNS_MAX_INTERVAL (25*24*3600)
//#define DYNDNS_DEFAULT_SERVER_IP	"66.37.218.211"

static char *pPassword, *pHostname, *pIp;


void DTDNS_init(char *username, char *password, char *hostname, char *ip)
{
    pPassword = password;
    pHostname = hostname;
    pIp = ip;		 
    
    printf("UserName is %s\n",username);
		//printf("Password is %s\n",password);
		//printf("HostName is %s\n",hostname);
		//printf("IpAddr is %s\n",ip); 	
}


int DTDNS_update_entry(void)
{	
	// Sumei, don't allocate so big array in stack!!
	//char buf[BUFFER_SIZE+1];
	char *buf;
	int retval = UPDATERES_ERROR;
	char *bp = buf;
  	int bytes;
  	int btot;
  	int ret; 
  	/* check */  	
	//buf[BUFFER_SIZE] = '\0';	
	buf = (char *)calloc(BUFFER_SIZE+1, 1);

    printf("In DTDNS update\n");
	if(Do_Connect((int*)&client_sockfd,DTDNS_DEFAULT_SERVER, DTDNS_DEFAULT_PORT) != OK)
	{
		printf("Updateres error --- Can not connect -- dtndns\n");
		//return UPDATERES_ERROR;
		retval = UPDATERES_ERROR;
		goto error;
	}
	
	sprintf(buf,"GET %sid=%s&pw=%s&ip=%s&client=%s HTTP/1.0\r\n"
	            "Host: www.dtdns.com\r\n"
	            "User-Agent: %s\r\n"
	            "\r\n"
	            "Connection: Keep-Alive", 
	            DTDNS_REQUEST,
	            pHostname,
	            pPassword,
		        pIp,
		        "ARS4_Router",
		        "ARS4_Router");	
		
	Output(buf);  	  	  	
	
	//sprintf(buf,"Host: www.dtdns.com\015\012");
  	//Output(buf);
	
	//sprintf(buf,"User-Agent: %s\015\012","ARS4_Router");
  	//Output(buf);  	  	  	
  	
  	//sprintf(buf,"\015\012");
  	//Output(buf);
  	
  	//sprintf(buf,"Connection: Keep-Alive");
  	//Output(buf);  	
  	
  	bp = buf;
  	bytes = 0;
  	btot = 0;  	  	
  	
  	while((bytes=Read_Input(bp, BUFFER_SIZE-btot)) > 0)
  	{
	    bp += bytes;
	    btot += bytes;
  	}
  	
  	close(client_sockfd);
  	buf[btot] = '\0';
  	//log_printf((DDNS_Log_File, "server output: %s\n", buf));
  	//printf("Get Status\n");
  	
  	if(sscanf(buf, " HTTP/1.%*c %3d", &ret) != 1)
  	{
	    ret = -1;
  	}  	
  	//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"-------Updater Status----");
  	//printf("-------Updater Status----\n");
	switch(ret)
  	{
    case -1:
    	//printf("Strange server response, are you connecting to the right server?\n");      
        //log_printf((DDNS_Log_File,"Strange server response, are you connecting to the right server?\n"));      
      	//retval = UPDATERES_ERROR;
      	retval = UPDATERES_OK;
      break;

    case 200:
      
      if(strstr(buf, "-Status: Normal") != NULL)
      {
      		//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"Request Successful");
			printf("Request Successful\n");			
			retval = UPDATEERS_GOOD;
      }
      else
      {
      		//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"Update Error");
      		printf("Update Error\n");
        	//retval = UPDATERES_ERROR;
        	retval = UPDATERES_OK;
      }
      break;

    case 401:		
      	//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"authentication failure");      	
      	printf("authentication failure\n");      	
      	retval = UPDATERES_SHUTDOWN;
      break;

    default:
	
        // reuse the auth buffer
        //*Current_User->auth= '\0';
        //sscanf(buf, " HTTP/1.%*c %*3d %255[^\r\n]", pOutput.auth);        
        //printf("server response: %s\n", pOutput.auth);      	
      	retval = UPDATEERS_UNKNOWN;
      break;
  }  	
	printf("-------------------------\n");
	//Status_Update  = retval;
error:
	free(buf);
	return retval;
}

/*SERVICE_T DTDNS_Service[] =
{	
	"dtdns",
	DTDNS_init,
	DTDNS_update_entry,
    //DTDNS_fields_used,
    NULL
};*/
