/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK.
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project :  
;    Creator : 
;    File    : ddns_dyndns.c
;    Abstract: DDNS configuration parameters.
;
;   Function List:
;
;Modification History:
;       By        0      Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/

#include <netmall.h>
#include <stdio.h>
#include <string.h>
#include <ddns_service.h>
#include <ddns_common.h>


#define DYNDNS_DEFAULT_SERVER "members.dyndns.org"
#define DYNDNS_DEFAULT_PORT "80"
#define DYNDNS_REQUEST "/nic/update"
#define DYNDNS_STAT_REQUEST "/nic/update"
#define DYNDNS_MAX_INTERVAL (25*24*3600)
#define DYNDNS_DEFAULT_SERVER_IP	"66.37.218.211"


static char *pPassword, *pHostname, *pIp;
static char auth[256];

//char *DYNDNS_fields_used[] = { "server", "user", "address", "wildcard", "mx", "host", NULL };


void DYNDNS_init(char *username, char *password, char *hostname, char *ip)
{
    char user[60];
  	sprintf(user,"%s:%s", username , password);
  	base64Encode(user, auth);
    
    pHostname = hostname;
    pIp = ip;
    
     //printf("UserName is %s\n",username);
		//printf("Password is %s\n",password);
		//printf("HostName is %s\n",hostname);
		//printf("IpAddr is %s\n",ip); 	
    
    return;
}


int DYNDNS_update_entry(void)
{	
	// Sumei, don't allocate so large memory in stack. 
	//char buf[BUFFER_SIZE+1];
	//char *ptr = buf;
	//char *bp = buf;
	char *buf;
	char *ptr;
	char *bp;
	int retval = UPDATERES_ERROR;
	int len;
  	int bytes;
  	int btot;
  	int ret;
  	char server_str[30];
  		
  	/* check */  	
	//buf[BUFFER_SIZE] = '\0';	
	buf = (char *)calloc(BUFFER_SIZE, 1);
	ptr = bp = buf;

	//printf("In DYNDNS update entry\n");
	
	if(Do_Connect((int*)&client_sockfd,DYNDNS_DEFAULT_SERVER, DYNDNS_DEFAULT_PORT) != OK)
	{
		printf("Updateres error -- can not connect -- dyndns\n");
		retval = UPDATERES_ERROR;
		goto error;
	}
	
	
	
	len = sprintf(buf,"GET %s?", DYNDNS_REQUEST);
	ptr += len;	
  	
  	len = sprintf(ptr,"%s=%s&", "hostname", pHostname);  
  	ptr += len;		
  	
  	if(pIp  != NULL)
  	{
	    len = sprintf(ptr,"%s=%s&", "myip", pIp);	    
      	ptr += len;
  	}
  	
  	sprintf(ptr,"wildcard=OFF& HTTP/1.0\r\n"
  	            "Authorization: Basic %s\r\n"
  	            "User-Agent: %s-%s %s [%s] (%s)\r\n"
  	            "Host: %s\r\n"
  	            "Connection: Keep-Alive\r\n\r\n",
  	            auth,"ARS4 Router", "1.0","VxWorks 5.4","", "by Joe Wu",DYNDNS_DEFAULT_SERVER);
  	
  	//if(Current_User->mx != NULL && *Current_User->mx != '\0')
  	//{
    //	sprintf(buf,"%s=%s&", "mx", Current_User->mx);
    //	Output(buf);
	//}
	  	
  	//sprintf(buf," HTTP/1.0\015\012");
  	//Output(buf);
  	
  	//sprintf(buf,"Authorization: Basic %s\015\012", pOutput.auth);
  	//Output(buf);
  	
  	//sprintf(buf,"User-Agent: %s-%s %s [%s] (%s)\015\012",
    //  "ARS4 Router", "1.0","VxWorks 5.4","", "by Joe Wu");
  	//Output(buf);
  	
  	//sprintf(buf,"Host: %s\015\012", DYNDNS_DEFAULT_SERVER);
  	//Output(buf);
  	
  	//sprintf(buf,"Connection: Keep-Alive");
  	//Output(buf);
  	
  	//sprintf(buf,"\r\n\r\n");
  	Output(buf);
  	
  	bp = buf;
  	bytes = 0;
  	btot = 0;
  	
  	while((bytes=Read_Input(bp, BUFFER_SIZE-btot)) > 0)
  	{
	    bp += bytes;
	    btot += bytes;
  	}
  	
  	close(client_sockfd);
  	buf[btot] = '\0';
  	
  	if(sscanf(buf, " HTTP/1.%*c %3d", &ret) != 1)
  	{
	    ret = -1;
  	}  	
  	
	switch(ret)
  	{
    case -1:
    
        //printf("Strange server response, are you connecting to the right server?\n");      
      	//retval = UPDATERES_ERROR;
      	retval = UPDATERES_OK;
      break;

    case 200:
      	if(strstr(buf, "\ngood ") != NULL)
      	{
      		printf("request successful");		
			retval = UPDATEERS_GOOD;
      	}
      	else
		{
        	if(strstr(buf, "\nnohost") != NULL)
        	{
        		printf("invalid hostname: %s",pHostname);
		       	//printf("invalid hostname: %s\n", Current_User->host);
	    		retval = UPDATEERS_NOHOST;
        	}
        	else if(strstr(buf, "\nnotfqdn") != NULL)
        	{
        		printf("Malformed hostname: %s", pHostname);
          		retval = UPDATEERS_NOTFQDN;
        	}
        	else if(strstr(buf, "\n!yours") != NULL)
        	{
        		printf("Host \"%s\" is not under your control", pHostname);
          		retval = UPDATEERS_NOYOURS;
        	}
        	else if(strstr(buf, "\nabuse") != NULL)
        	{
        		printf("Host \"%s\" has been blocked for abuse", pHostname);
          		retval = UPDATEERS_ABUSE;
        	}
        	else if(strstr(buf, "\nnochg") != NULL)
        	{
        		printf("%s says that your IP address has not changed since the last update", 
        		       DYNDNS_DEFAULT_SERVER);          		       		
          		retval = UPDATEERS_NOCHG;
        	}        
        	else if(strstr(buf, "\nbadauth") != NULL)
        	{
        		printf("Authentication failure");
            	retval = UPDATEERS_BADAUTH;
        	}
        	else if(strstr(buf, "\nbadsys") != NULL)
        	{
	        	printf("Invalid system parameter\n");
    	       	retval = UPDATEERS_BADSYS;
        	}
        	else if(strstr(buf, "\nbadagent") != NULL)
        	{
	        	printf("This useragent has been blocked\n");
          		retval = UPDATEERS_BADAGENT;
        	}
        	else if(strstr(buf, "\nnumhost") != NULL)
        	{
	        	printf("Too many or too few hosts found\n");
            	retval = UPDATEERS_NUMHOST;
        	}
        	else if(strstr(buf, "\ndnserr") != NULL)
        	{
            	retval = UPDATEERS_DNSERR;
        	}
        	else if(strstr(buf, "\n911") != NULL)
        	{
	        	printf("Ahhhh! call 911!\n");
            	retval = UPDATERES_ERROR;
        	}
        	else if(strstr(buf, "\n999") != NULL)
        	{
	        	printf("Ahhhh! call 999!\n");
    	      	retval = UPDATERES_ERROR;
        	}
        	else if(strstr(buf, "\n!donator") != NULL)
        	{
	        	printf("A feature requested is only available to donators, please donate.\n");
    	        retval = UPDATEERS_NDONATOR;
	        }
    	    // this one should be last as it is a stupid string to signify waits
	        // with as it is so short
    	    else if(strstr(buf, "\nw") != NULL)
	        {
          		retval = UPDATERES_ERROR;
        	}
        	else
        	{
        		//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"Error processing request");
	        	printf("Error processing request\n");        
          		retval = UPDATERES_ERROR;
        	}
      }
      break;

    case 401:		
   		printf("authentication failure\n");
      	
      	retval = UPDATEERS_BADAUTH;
      break;

    default:
	
        // reuse the auth buffer
        //*Current_User->auth= '\0';
        //sscanf(buf, " HTTP/1.%*c %*3d %255[^\r\n]", Current_User->auth);
        //log_printf((DDNS_Log_File,"unknown return code: %d\n", ret));
		//show_message("unknown return code: %d\n", ret);
		printf("unknown return code: %d\n", ret);
        //fprintf(stderr, "server response: %s\n", Current_User->auth);      	
      	retval = UPDATEERS_UNKNOWN;
      break;
  }
	printf("-------------------------\n");
	//Status_Update  = retval;
error:
	free(buf);
	return retval;
}

/*SERVICE_T DYNDNS_Service[] =
{	
	"dyndns",
	DYNDNS_init,
	DYNDNS_update_entry,
    //DYNDNS_fields_used,
    NULL
};*/
