/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK.
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : Common plateform
;    Creator : 
;    File    : ddns_noip.c
;    Abstract: 
;
;
;Modification History:
;       By              Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/

#include <netmall.h>
#include <ddns_service.h>
#include <ddns_common.h>                       


#define NOIP_DEFAULT_SERVER "dynupdate.no-ip.com"
#define NOIP_DEFAULT_PORT "80"
#define NOIP_REQUEST ""
#define NOIP_STAT_REQUEST ""
#define NOIP_MAX_INTERVAL (25*24*3600)
//#define NOIP_DEFAULT_SERVER_IP	"66.37.218.211"


#define NOIP_ALREADYSET               0
#define NOIP_SUCCESS                  1
#define NOIP_BADHOST                  2
#define NOIP_BADPASSWD                3
#define NOIP_BADUSER                  4
#define NOIP_TOSVIOLATE               6
#define NOIP_PRIVATEIP                7
#define NOIP_HOSTDISABLED             8
#define NOIP_HOSTISREDIRECT           9
#define NOIP_BADGRP                  10
#define NOIP_SUCCESSGRP              11
#define NOIP_ALREADYSETGRP           12
#define NOIP_RELEASEDISABLED         99

#define NOIP_UNKNOWNERR				-1
#define NOIP_NOHOSTLOOKUP			-2
#define NOIP_SOCKETFAIL				-3
#define NOIP_CONNTIMEOUT			-4
#define NOIP_CONNFAIL				-5
#define NOIP_READTIMEOUT			-6
#define NOIP_READFAIL				-7
#define NOIP_WRITETIMEOUT			-8
#define NOIP_WRITEFAIL				-9
#define NOIP_NOCONFIG				-10
#define NOIP_BADCONFIG1				-11
#define NOIP_BADCONFIG2				-12
#define NOIP_BADCONFIG3				-13
#define NOIP_BADCONFIG4				-14
#define NOIP_BADCONFIG5				-15
#define NOIP_BADCONFIG6				-16
#define NOIP_BADCONFIG8				-18
#define NOIP_BADCONFIG9				-19


static char *pUsername, *pPassword, *pHostname, *pIp;

void NOIP_init(char *username, char *password, char *hostname, char *ip)
{
	pUsername = username;
    pPassword = password;
    pHostname = hostname;
    pIp = ip;
    
    //printf("UserName is %s\n",username);
		//printf("Password is %s\n",password);
		//printf("HostName is %s\n",hostname);
		//printf("IpAddr is %s\n",ip); 	
		  	
}

int NOIP_update_entry(void)
{
	// Sumei, this array too big will cause stack overflow.
	//char buf[BUFFER_SIZE+1];
	//char *bp = buf;
	char *buf;
	char *bp;
	int retval = UPDATERES_ERROR;
  	int bytes;
  	int btot;
  	int ret;  	
  	char *p;
  	int i;
	int  err;

  	/* check */  	
	//buf[BUFFER_SIZE] = '\0';	
	buf = (char *)calloc(BUFFER_SIZE, 1);
	bp = buf;
	
	//printf("In NO-IP update\n");
	
	if(Do_Connect((int*)&client_sockfd, NOIP_DEFAULT_SERVER, NOIP_DEFAULT_PORT) != OK)
	{
		err = UPDATERES_ERROR;
		printf("Can Not Connect -- No-Ip\n");
		goto error;
		//return UPDATERES_ERROR;
	}
		
	sprintf(buf,"GET http://%s/update.php?username=%s&pass=%s&host=%s"
	            "&ip=%s HTTP/1.0\nUser-Agent: %s DUC %s\n\n",
	            NOIP_DEFAULT_SERVER,
	            pUsername,
	            pPassword,
	            pHostname,
	            pIp,
	            "VxWorks",
	            "1.0");
  	
  	Output(buf);
	
  	bp = buf;
  	bytes = 0;
  	btot = 0;
  	
  	while((bytes=Read_Input(bp, BUFFER_SIZE-btot)) > 0)
  	{
	    bp += bytes;
	    btot += bytes;
	    //log_printf((DDNS_Log_File, "btot: %d\n", btot));
  	}
  	
  	close(client_sockfd);
  	buf[btot] = '\0';
  	
  	for (i=0,p=buf; i<sizeof(buf); i++,p++) {
		// look for updating ip message
		if ((*p == 's') && (!strncmp(p, "status=", 7))) {
			ret = atoi(&p[7]);			
		}
	}
  	switch(ret)
  	{
  		case NOIP_SUCCESS:
  		case NOIP_ALREADYSET:
  			free(buf);
			return UPDATERES_OK;
  			//Status_Update  = UPDATERES_OK;
  			break;
  			
  		case NOIP_BADHOST:
  		case NOIP_BADUSER:
  		case NOIP_BADPASSWD:
  		    // Sumei
			//return UPDATERES_ACCOUNT_ERROR; 
  			err = UPDATERES_ACCOUNT_ERROR;
			//Status_Update  = UPDATERES_ACCOUNT_ERROR;
  			break;
  			
  		case NOIP_PRIVATEIP:
  		    //return UPDATEERS_PRIVIIP;
  			err = UPDATEERS_PRIVIIP;
			//Status_Update  = UPDATEERS_PRIVIIP;
  			break;  		
  	}
error:
	free(buf);
	return err;
  	//Log_Add(LOG_DDNS,LEVEL_ADVANCE,"Return value = %d \n",ret);
  	//printf("Return value = %d \n",ret);
	//return 0;	
}


/*SERVICE_T NOIP_Service[] =
{	
	"no-ip",
	NOIP_init,
	NOIP_update_entry,
	//NOIP_fields_used,
    NULL
};*/
