/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK.
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : Common plateform
;    Creator : 
;    File    : ddns_service.c
;    Abstract: define the data structure for the file http.c
;
;
;Modification History:
;       By              Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/

#include <netmall.h>
#include <ddns_service.h>

/**********************************/
/* Golbal variables definition    */
/**********************************/
static SERVICE_T	*First_Service 		= NULL;
static SERVICE_T 	*Current_Service 	= NULL;

SERVICE_T ddns_server[DDNS_SRV_MAX] =
{
    {DYNDNS_init, DYNDNS_update_entry}, // DDNS_SRV_DYNDNS
    {DTDNS_init, DTDNS_update_entry},   // DDNS_SRV_DTDNS
    {NOIP_init, NOIP_update_entry},     // DDNS_SRV_NOIP
};

/*--------------------------------------------------------------*/
/* ROUTINE NAME - ddns_service_attach							*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: DDNS Service structure pointer						*/
/*--------------------------------------------------------------*/
static void ddns_service_attach(SERVICE_T *service)
{

	if(service == NULL)
		return;	
		
    if(Current_Service == NULL)
    {
        Current_Service = service;
        First_Service = service;
    }
    else
    {
        Current_Service->service_next = service;
        Current_Service = Current_Service->service_next;
    }
    service->service_next = NULL;    
    
    //printf("Attach Current_Service name == %s\n",Current_Service->name);
    
}

/*--------------------------------------------------------------*/
/* ROUTINE NAME - ddns_check_service							*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: DDNS_Parse_Service									*/
/*--------------------------------------------------------------*/
SERVICE_T *ddns_check_service(char *server_name)
{		
	SERVICE_T *p = First_Service;
	
	while(p != NULL)
	{
		if(strcmp(server_name, p->name) == 0)
        {
  		   	Current_Service = p;
            return Current_Service;
        }
        p = p->service_next;
	}

	return NULL;
}

/*--------------------------------------------------------------*/
/* ROUTINE NAME - ddns_service_init 							*/
/*--------------------------------------------------------------*/
/* FUNCTION:													*/
/* INPUT: 														*/
/*--------------------------------------------------------------*/
void ddns_service_init()
{	
	ddns_service_attach(DYNDNS_Service);	   
	ddns_service_attach(NOIP_Service);	   
	ddns_service_attach(DTDNS_Service);	   
    return;
}