/*****************************************************************************
;
;   (C) Unpublished Work of ADMtek Incorporated.  All Rights Reserved.
;
;       THIS WORK IS AN UNPUBLISHED WORK AND CONTAINS CONFIDENTIAL,
;       PROPRIETARY AND TRADESECRET INFORMATION OF ADMTEK INCORPORATED.
;       ACCESS TO THIS WORK IS RESTRICTED TO (I) ADMTEK EMPLOYEES WHO HAVE A
;       NEED TO KNOW TO PERFORM TASKS WITHIN THE SCOPE OF THEIR ASSIGNMENTS
;       AND (II) ENTITIES OTHER THAN ADMTEK WHO HAVE ENTERED INTO APPROPRIATE
;       LICENSE AGREEMENTS.  NO PART OF THIS WORK MAY BE USED, PRACTICED,
;       PERFORMED, COPIED, DISTRIBUTED, REVISED, MODIFIED, TRANSLATED,
;       ABBRIDGED, CONDENSED, EXPANDED, COLLECTED, COMPILED, LINKED, RECAST,
;       TRANSFORMED OR ADAPTED WITHOUT THE PRIOR WRITTEN CONSENT OF ADMTEK.
;       ANY USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD
;       SUBJECT THE PERPERTRATOR TO CRIMINAL AND CIVIL LIABILITY.
;
;------------------------------------------------------------------------------
;
;    Project : Common plateform
;    Creator : 
;    File    : ddns_service.h
;    Abstract: define the data structure for the file http.c
;
;
;Modification History:
;       By              Date     Ver.   Modification Description
;       --------------- -------- -----  --------------------------------------
;
;*****************************************************************************/


#define BUFFER_SIZE 	(4*1024-1)

enum DDNS_SRV_NAME_E
{
    DDNS_SRV_DYNDNS,
    DDNS_SRV_DTDNS,
    DDNS_SRV_NOIP, 
    DDNS_SRV_MAX
};

typedef struct service_t
{
  void (*init)(char *,char *,char *,char *);
  int (*update_entry)(void);
}SERVICE_T;


enum {	
	UPDATERES_OK = 0,
  	UPDATEERS_GOOD = 0,
  	UPDATEERS_NOCHG = 0,
  	UPDATERES_ACCOUNT_ERROR,
  	UPDATERES_SHUTDOWN ,
  	UPDATERES_RETRY,
  	UPDATEERS_ABUSE,
  	UPDATEERS_PRIVIIP,  	
  	UPDATERES_NONEDONE,   	
  	UPDATEERS_CONNECTING,  	
  	UPDATEERS_NOHOST,
  	UPDATEERS_NOTFQDN,
  	UPDATEERS_NOYOURS,  	  
  	UPDATEERS_BADAUTH,  
  	UPDATEERS_BADSYS,
  	UPDATEERS_BADAGENT,
  	UPDATEERS_NUMHOST,
  	UPDATEERS_DNSERR,
  	UPDATEERS_NDONATOR,
  	UPDATEERS_UNKNOWN,  	
  	UPDATERES_ERROR	
};


void DYNDNS_init(char *username, char *password, char *hostname, char *ip);
int DYNDNS_update_entry(void);
void DTDNS_init(char *username, char *password, char *hostname, char *ip);
int DTDNS_update_entry(void);
void NOIP_init(char *username, char *password, char *hostname, char *ip);
int NOIP_update_entry(void);
//*************************
// Functions
//*************************
void ddns_service_init();
SERVICE_T *ddns_check_service(char *server_name);
